CLASSIFIERS = {
    "Intended Audience": {
        "Science/Research": None,
        "Education": None,
        "Financial and Insurance Industry": None,
        "System Administrators": None,
        "Healthcare Industry": None,
        "Customer Service": None,
        "Manufacturing": None,
        "Religion": None,
        "Other Audience": None,
        "Legal Industry": None,
        "Developers": None,
        "Telecommunications Industry": None,
        "End Users/Desktop": None,
        "Information Technology": None,
    },
    "Operating System": {
        "Other OS": None,
        "MacOS": {
            "MacOS X": None,
            "MacOS 9": None,
        },
        "PDA Systems": None,
        "BeOS": None,
        "PalmOS": None,
        "OS/2": None,
        "Unix": None,
        "OS Independent": None,
        "POSIX": {
            "SCO": None,
            "HP-UX": None,
            "AIX": None,
            "IRIX": None,
            "SunOS/Solaris": None,
            "GNU Hurd": None,
            "Other": None,
            "Linux": None,
            "BSD": {
                "BSD/OS": None,
                "OpenBSD": None,
                "NetBSD": None,
                "FreeBSD": None,
            },
        },
        "Microsoft": {
            "Windows": {
                "Windows CE": None,
                "Windows 95/98/2000": None,
                "Windows Vista": None,
                "Windows XP": None,
                "Windows 3.1 or Earlier": None,
                "Windows Server 2003": None,
                "Windows NT/2000": None,
                "Windows Server 2008": None,
                "Windows 7": None,
            },
            "MS-DOS": None,
        },
    },
    "Development Status": {
        "1 - Planning": None,
        "2 - Pre-Alpha": None,
        "3 - Alpha": None,
        "4 - Beta": None,
        "5 - Production/Stable": None,
        "6 - Mature": None,
        "7 - Inactive": None,
    },
    "License": {
        "OSI Approved": {
            "MIT License": None,
            "Attribution Assurance License": None,
            "Zope Public License": None,
            "ISC License (ISCL)": None,
            "Python Software Foundation License": None,
            "BSD License": None,
            "Intel Open Source License": None,
            "MITRE Collaborative Virtual Workspace License (CVW)": None,
            "Open Group Test Suite License": None,
            "University of Illinois/NCSA Open Source License": None,
            "Qt Public License (QPL)": None,
            "European Union Public Licence 1.0 (EUPL 1.0)": None,
            "Sun Industry Standards Source License (SISSL)": None,
            "Vovida Software License 1.0": None,
            "GNU Lesser General Public License v2 (LGPLv2)": None,
            "W3C License": None,
            "GNU Affero General Public License v3": None,
            "Mozilla Public License 1.1 (MPL 1.1)": None,
            "GNU Free Documentation License (FDL)": None,
            "GNU General Public License v2 or later (GPLv2+)": None,
            "zlib/libpng License": None,
            "GNU Lesser General Public License v2 or later (LGPLv2+)": None,
            "Nethack General Public License": None,
            "GNU General Public License v2 (GPLv2)": None,
            "GNU General Public License (GPL)": None,
            "Sun Public License": None,
            "Apache Software License": None,
            "GNU Affero General Public License v3 or later (AGPLv3+)": None,
            "GNU General Public License v3 or later (GPLv3+)": None,
            "GNU Library or Lesser General Public License (LGPL)": None,
            "European Union Public Licence 1.1 (EUPL 1.1)": None,
            "Artistic License": None,
            "GNU Lesser General Public License v3 (LGPLv3)": None,
            "Nokia Open Source License": None,
            "Academic Free License (AFL)": None,
            "Common Public License": None,
            "Ricoh Source Code Public License": None,
            "Jabber Open Source License": None,
            "Mozilla Public License 1.0 (MPL)": None,
            "Apple Public Source License": None,
            "Python License (CNRI Python License)": None,
            "Eiffel Forum License": None,
            "Sleepycat License": None,
            "GNU General Public License v3 (GPLv3)": None,
            "X.Net License": None,
            "IBM Public License": None,
            "Motosoto License": None,
            "Mozilla Public License 2.0 (MPL 2.0)": None,
            "GNU Lesser General Public License v3 or later (LGPLv3+)": None,
        },
        "Eiffel Forum License (EFL)": None,
        "Nokia Open Source License (NOKOS)": None,
        "Free For Home Use": None,
        "Public Domain": None,
        "Repoze Public License": None,
        "Free For Educational Use": None,
        "Other/Proprietary License": None,
        "CC0 1.0 Universal (CC0 1.0) Public Domain Dedication": None,
        "Free To Use But Restricted": None,
        "Free for non-commercial use": None,
        "Netscape Public License (NPL)": None,
        "DFSG approved": None,
        "Freeware": None,
        "Freely Distributable": None,
        "Aladdin Free Public License (AFPL)": None,
    },
    "Environment": {
        "MacOS X": {
            "Cocoa": None,
            "Carbon": None,
            "Aqua": None,
        },
        "No Input/Output (Daemon)": None,
        "Console": {
            "Framebuffer": None,
            "svgalib": None,
            "Newt": None,
            "Curses": None,
        },
        "Handhelds/PDA's": None,
        "Win32 (MS Windows)": None,
        "Web Environment": {
            "ToscaWidgets": None,
            "Mozilla": None,
            "Buffet": None,
        },
        "Other Environment": None,
        "Plugins": None,
        "OpenStack": None,
        "X11 Applications": {
            "KDE": None,
            "GTK": None,
            "Gnome": None,
            "Qt": None,
        },
    },
    "Framework": {
        "Zope3": None,
        "Pyramid": None,
        "Buildout": {
            "Recipe": None,
            "Extension": None,
        },
        "Pylons": None,
        "CherryPy": None,
        "CubicWeb": None,
        "TurboGears": {
            "Widgets": None,
            "Applications": None,
        },
        "Twisted": None,
        "Setuptools Plugin": None,
        "Django": None,
        "Tryton": None,
        "IDLE": None,
        "ZODB": None,
        "Zope2": None,
        "Trac": None,
        "BFG": None,
        "Plone": {
            "4.1": None,
            "4.0": None,
            "4.3": None,
            "4.2": None,
            "3.2": None,
            "3.3": None,
        },
        "Paste": None,
        "Chandler": None,
    },
    "Topic": {
        "Sociology": {
            "Genealogy": None,
            "History": None,
        },
        "Multimedia": {
            "Video": {
                "Capture": None,
                "Conversion": None,
                "Display": None,
                "Non-Linear Editor": None,
            },
            "Sound/Audio": {
                "Sound Synthesis": None,
                "Conversion": None,
                "MIDI": None,
                "Editors": None,
                "Analysis": None,
                "Players": {
                    "MP3": None,
                },
                "Mixers": None,
                "Capture/Recording": None,
                "Speech": None,
                "CD Audio": {
                    "CD Playing": None,
                    "CD Ripping": None,
                    "CD Writing": None,
                },
            },
            "Graphics": {
                "Capture": {
                    "Digital Camera": None,
                    "Screen Capture": None,
                    "Scanners": None,
                },
                "3D Modeling": None,
                "Editors": {
                    "Vector-Based": None,
                    "Raster-Based": None,
                },
                "Graphics Conversion": None,
                "Presentation": None,
                "3D Rendering": None,
                "Viewers": None,
            },
        },
        "System": {
            "Clustering": None,
            "Installation/Setup": None,
            "Networking": {
                "Firewalls": None,
                "Monitoring": {
                    "Hardware Watchdog": None,
                },
                "Time Synchronization": None,
            },
            "Systems Administration": {
                "Authentication/Directory": {
                    "NIS": None,
                    "LDAP": None,
                },
            },
            "Distributed Computing": None,
            "Software Distribution": None,
            "Monitoring": None,
            "Shells": None,
            "Console Fonts": None,
            "Archiving": {
                "Packaging": None,
                "Backup": None,
                "Compression": None,
                "Mirroring": None,
            },
            "Boot": {
                "Init": None,
            },
            "Emulators": None,
            "Benchmark": None,
            "Hardware": {
                "Symmetric Multi-processing": None,
                "Hardware Drivers": None,
                "Mainframes": None,
            },
            "Operating System Kernels": {
                "BSD": None,
                "Linux": None,
                "GNU Hurd": None,
            },
            "Operating System": None,
            "System Shells": None,
            "Logging": None,
            "Recovery Tools": None,
            "Filesystems": None,
            "Power (UPS)": None,
        },
        "Religion": None,
        "Internet": {
            "File Transfer Protocol (FTP)": None,
            "Name Service (DNS)": None,
            "Log Analysis": None,
            "Proxy Servers": None,
            "WWW/HTTP": {
                "WSGI": {
                    "Application": None,
                    "Middleware": None,
                    "Server": None,
                },
                "HTTP Servers": None,
                "Session": None,
                "Browsers": None,
                "Indexing/Search": None,
                "Site Management": {
                    "Link Checking": None,
                },
                "Dynamic Content": {
                    "Page Counters": None,
                    "News/Diary": None,
                    "CGI Tools/Libraries": None,
                    "Message Boards": None,
                },
            },
            "Finger": None,
            "Z39.50": None,
            "WAP": None,
        },
        "Home Automation": None,
        "Utilities": None,
        "Text Processing": {
            "Markup": {
                "XML": None,
                "LaTeX": None,
                "HTML": None,
                "SGML": None,
                "VRML": None,
            },
            "Fonts": None,
            "Indexing": None,
            "General": None,
            "Filters": None,
            "Linguistic": None,
        },
        "Terminals": {
            "Terminal Emulators/X Terminals": None,
            "Serial": None,
            "Telnet": None,
        },
        "Other/Nonlisted Topic": None,
        "Office/Business": {
            "Scheduling": None,
            "Office Suites": None,
            "Groupware": None,
            "Financial": {
                "Spreadsheet": None,
                "Accounting": None,
                "Investment": None,
                "Point-Of-Sale": None,
            },
            "News/Diary": None,
        },
        "Database": {
            "Front-Ends": None,
            "Database Engines/Servers": None,
        },
        "Documentation": None,
        "Communications": {
            "Fax": None,
            "Usenet News": None,
            "Ham Radio": None,
            "File Sharing": {
                "Napster": None,
                "Gnutella": None,
            },
            "Telephony": None,
            "FIDO": None,
            "Chat": {
                "Unix Talk": None,
                "ICQ": None,
                "AOL Instant Messenger": None,
                "Internet Relay Chat": None,
            },
            "Internet Phone": None,
            "BBS": None,
            "Email": {
                "Address Book": None,
                "Mail Transport Agents": None,
                "Email Clients (MUA)": None,
                "Post-Office": {
                    "POP3": None,
                    "IMAP": None,
                },
                "Mailing List Servers": None,
                "Filters": None,
            },
            "Conferencing": None,
        },
        "Printing": None,
        "Text Editors": {
            "Word Processors": None,
            "Documentation": None,
            "Emacs": None,
            "Text Processing": None,
            "Integrated Development Environments (IDE)": None,
        },
        "Adaptive Technologies": None,
        "Security": {
            "Cryptography": None,
        },
        "Games/Entertainment": {
            "Turn Based Strategy": None,
            "Real Time Strategy": None,
            "Role-Playing": None,
            "Arcade": None,
            "Board Games": None,
            "Simulation": None,
            "First Person Shooters": None,
            "Side-Scrolling/Arcade Games": None,
            "Fortune Cookies": None,
            "Multi-User Dungeons (MUD)": None,
            "Puzzle Games": None,
        },
        "Software Development": {
            "Libraries": {
                "Perl Modules": None,
                "Tcl Extensions": None,
                "Java Libraries": None,
                "Application Frameworks": None,
                "pygame": None,
                "PHP Classes": None,
                "Pike Modules": None,
                "Python Modules": None,
                "Ruby Modules": None,
            },
            "Build Tools": None,
            "Testing": {
                "Traffic Generation": None,
            },
            "Widget Sets": None,
            "Pre-processors": None,
            "Localization": None,
            "User Interfaces": None,
            "Embedded Systems": None,
            "Documentation": None,
            "Bug Tracking": None,
            "Code Generators": None,
            "Quality Assurance": None,
            "Object Brokering": {
                "CORBA": None,
            },
            "Interpreters": None,
            "Internationalization": None,
            "Version Control": {
                "SCCS": None,
                "CVS": None,
                "RCS": None,
            },
            "Assemblers": None,
            "Disassemblers": None,
            "Debuggers": None,
            "Compilers": None,
        },
        "Artistic Software": None,
        "Desktop Environment": {
            "Gnome": None,
            "File Managers": None,
            "Window Managers": {
                "Window Maker": {
                    "Applets": None,
                    "Themes": None,
                },
                "Blackbox": {
                    "Themes": None,
                },
                "Oroborus": {
                    "Themes": None,
                },
                "Applets": None,
                "CTWM": {
                    "Themes": None,
                },
                "Waimea": {
                    "Themes": None,
                },
                "IceWM": {
                    "Themes": None,
                },
                "Afterstep": {
                    "Themes": None,
                },
                "Sawfish": {
                    "Themes pre-0.30": None,
                    "Themes 0.30": None,
                },
                "Fluxbox": {
                    "Themes": None,
                },
                "FVWM": {
                    "Themes": None,
                },
                "XFCE": {
                    "Themes": None,
                },
                "Enlightenment": {
                    "Themes DR15": None,
                    "Themes DR16": None,
                    "Themes DR17": None,
                    "Epplets": None,
                },
                "MetaCity": {
                    "Themes": None,
                },
            },
            "GNUstep": None,
            "Screen Savers": None,
            "PicoGUI": {
                "Themes": None,
                "Applications": None,
            },
            "K Desktop Environment (KDE)": {
                "Themes": None,
            },
        },
        "Scientific/Engineering": {
            "Visualization": None,
            "Chemistry": None,
            "GIS": None,
            "Medical Science Apps.": None,
            "Physics": None,
            "Bio-Informatics": None,
            "Human Machine Interfaces": None,
            "Atmospheric Science": None,
            "Artificial Life": None,
            "Electronic Design Automation (EDA)": None,
            "Mathematics": None,
            "Interface Engine/Protocol Translator": None,
            "Astronomy": None,
            "Information Analysis": None,
            "Artificial Intelligence": None,
            "Image Recognition": None,
        },
        "Education": {
            "Testing": None,
            "Computer Aided Instruction (CAI)": None,
        },
    },
    "Programming Language": {
        "Cython": None,
        "Unix Shell": None,
        "Java": None,
        "Basic": None,
        "Euphoria": None,
        "YACC": None,
        "Fortran": None,
        "Other": None,
        "Ada": None,
        "Zope": None,
        "Erlang": None,
        "Forth": None,
        "Euler": None,
        "ASP": None,
        "Assembly": None,
        "C#": None,
        "Object Pascal": None,
        "Eiffel": None,
        "Emacs-Lisp": None,
        "Pascal": None,
        "Awk": None,
        "Cold Fusion": None,
        "Simula": None,
        "Other Scripting Engines": None,
        "Ruby": None,
        "Rexx": None,
        "Pike": None,
        "C": None,
        "Dylan": None,
        "Pliant": None,
        "Lisp": None,
        "Tcl": None,
        "C++": None,
        "PL/SQL": None,
        "REBOL": None,
        "PROGRESS": None,
        "Perl": None,
        "JavaScript": None,
        "Prolog": None,
        "Python": {
            "Implementation": {
                "IronPython": None,
                "PyPy": None,
                "Jython": None,
                "CPython": None,
                "Stackless": None,
            },
            "3": None,
            "2": {
                "Only": None,
            },
            "3.2": None,
            "3.3": None,
            "3.0": None,
            "3.1": None,
            "2.3": None,
            "2.7": None,
            "2.6": None,
            "2.5": None,
            "2.4": None,
        },
        "ML": None,
        "Modula": None,
        "XBasic": None,
        "OCaml": None,
        "Objective C": None,
        "Delphi/Kylix": None,
        "Haskell": None,
        "APL": None,
        "SQL": None,
        "Logo": None,
        "Visual Basic": None,
        "PHP": None,
        "Scheme": None,
        "Smalltalk": None,
    },
    "Natural Language": {
        "Swedish": None,
        "Icelandic": None,
        "Telugu": None,
        "Turkish": None,
        "Marathi": None,
        "Italian": None,
        "Javanese": None,
        "Slovenian": None,
        "Hindi": None,
        "Dutch": None,
        "Norwegian": None,
        "Korean": None,
        "Danish": None,
        "Bulgarian": None,
        "Latin": None,
        "Hungarian": None,
        "Macedonian": None,
        "Bosnian": None,
        "Vietnamese": None,
        "Malay": None,
        "French": None,
        "Catalan": None,
        "Bengali": None,
        "Romanian": None,
        "Russian": None,
        "Slovak": None,
        "Thai": None,
        "Afrikaans": None,
        "Tamil": None,
        "Portuguese (Brazilian)": None,
        "Finnish": None,
        "Ukranian": None,
        "Spanish": None,
        "Indonesian": None,
        "Panjabi": None,
        "Greek": None,
        "Latvian": None,
        "English": None,
        "Serbian": None,
        "Esperanto": None,
        "Croatian": None,
        "Portuguese": None,
        "German": None,
        "Japanese": None,
        "Galician": None,
        "Czech": None,
        "Persian": None,
        "Chinese (Traditional)": None,
        "Hebrew": None,
        "Urdu": None,
        "Polish": None,
        "Arabic": None,
        "Chinese (Simplified)": None,
    },
}
